package rocks.zipcode.io.quiz3.collections;

import rocks.zipcode.io.quiz3.objectorientation.enums.LabStatus;

import java.util.HashMap;
import java.util.Map;

/**
 * @author leon on 10/12/2018.
 */
public class Student {
    private HashMap<String, LabStatus> map = new HashMap<String, LabStatus>() {
    };

    public Student() {
    }

    public void setLabStatus(Lab lab, LabStatus labStatus) {
        if (lab.forked == false){
            throw new UnsupportedOperationException("Method not yet implemented");
        }
        map.put(lab.labName, labStatus);

    }

    public void forkLab(Lab lab) {
        lab.setForked(true);
        setLabStatus(lab, LabStatus.PENDING);


    }

    public LabStatus getLabStatus(String labName) {
        return map.get(labName);
        // throw new UnsupportedOperationException("Method not yet implemented");
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();

        for (Map.Entry<String, LabStatus> entry : map.entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue().name();
            builder.append(key + " > " + value + "\n");
        }

        return builder.toString().trim();
        }

}
