package rocks.zipcode.io.quiz3.generics;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.function.Function;

/**
 * @author leon on 09/12/2018.
 */
public class ArrayUtility<SomeType> {
    private final SomeType[] array;

    public ArrayUtility(SomeType[] array) {
        this.array = array;
    }

    public SomeType findOddOccurringValue() {
        return findnNumberOccurringValue(1);
    }

    public SomeType findEvenOccurringValue() {
        return findnNumberOccurringValue(0);
    }

    public Integer getNumberOfOccurrences(SomeType valueToEvaluate) {
        int count = 0;

        for (SomeType s: array) {
            if (s == valueToEvaluate){
                count++;
            }
        }

        return count;
    }

    public SomeType[] filter(Function<SomeType, Boolean> predicate) {
        return null;
    }

    public SomeType findnNumberOccurringValue(int evenOrOdd) {
        Arrays.sort(array);
        int currentCount;
        SomeType returnValue = null;

        for (int i = 0; i < array.length; i++) {
            currentCount = 0;
            for (int j = 0; j < array.length; j++) {
                if (array[j] == array[i]){
                    currentCount++;
                }
            }
            if (currentCount % 2 == evenOrOdd){
                return array[i];
            }
        }

        return returnValue;
    }
}
